Summary: A GNU program for formatting C code
Name: indent
Version: 2.2.12
Release: 1
License: GPLv3+
Group: Applications/Text
URL: https://www.gnu.org/software/indent/
Source0: ftp://ftp.gnu.org/pub/gnu/%{name}/%{name}-%{version}.tar.gz
Source1: ftp://ftp.gnu.org/pub/gnu/%{name}/%{name}-%{version}.tar.gz.sig
Patch0: %{name}-%{version}-aix.patch
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root
BuildRequires: gettext
Requires: /sbin/install-info, info
Requires: gettext

%description
Indent is a GNU program for beautifying C code, so that it is easier to
read.  Indent can also convert from one C writing style to a different
one.  Indent understands correct C syntax and tries to handle incorrect
C syntax.

Install the indent package if you are developing applications in C and
you want a program to format your code.


%prep
%setup -q
%patch0


%build
./configure \
    --prefix=%{_prefix} \
    --mandir=%{_mandir} \
    --infodir=%{_infodir}
make %{?_smp_mflags}


%install
[ "${RPM_BUILD_ROOT}" != "/" ] && rm -rf ${RPM_BUILD_ROOT}
make DESTDIR=${RPM_BUILD_ROOT} install

/usr/bin/strip ${RPM_BUILD_ROOT}%{_bindir}/* || :

gzip --best ${RPM_BUILD_ROOT}%{_infodir}/%{name}*
rm -f $RPM_BUILD_ROOT%{_infodir}/dir

cd ${RPM_BUILD_ROOT}
mkdir -p usr/linux/bin
cd usr/linux/bin
ln -sf ../../..%{_bindir}/* .


%post
/sbin/install-info %{_infodir}/%{name}.info.gz %{_infodir}/dir --entry="* indent: (indent).				Program to format source code." || :

%preun
if [ "$1" = 0 ]; then
    /sbin/install-info --delete %{_infodir}/%{name}.info.gz %{_infodir}/dir --entry="* indent: (indent).				Program to format source code." || :
fi


%clean
[ "${RPM_BUILD_ROOT}" != "/" ] && rm -rf ${RPM_BUILD_ROOT}


%files
%defattr(-,root,system)
%doc AUTHORS COPYING NEWS README.md
%{_bindir}/*
%{_mandir}/man1/*
%{_infodir}/indent*
%{_datadir}/locale/*/*/*
/usr/linux/bin/*


%changelog
* Sat Sep 08 2018 Michael Perzl <michael@perzl.org> - 2.2.12-1
- updated to version 2.2.12

* Wed Mar 26 2008 Michael Perzl <michael@perzl.org> - 2.2.10-1
- first version for AIX V5.1 and higher
